> For the complete documentation index, see [llms.txt](https://docs.fluentd.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentd.org/0.12/deployment/rpc.md).

# RPC

This article explains how `Fluentd` handles HTTP RPC.

## Overview

HTTP RPC is one way of managing fluentd instance. Several provided RPCs are replacement of [signals](/0.12/deployment/signals.md). The response body is JSON format.

On signal unsupported environment, e.g. Windows, you can use RPC instead of signals.

## Configuration

RPC is off by default. If you want to enable RPC, set `rpc_endpoint` in `<system>` section.

```
<system>
  rpc_endpoint 127.0.0.1:24444
</system>
```

After that, you can access to RPC like below.

```
$ curl http://127.0.0.1:24444/api/plugins.flushBuffers
{"ok":true}
```

## RPCs

### /api/processes.interruptWorkers

Replacement of signal's [SIGINT](/0.12/deployment/signals.md#sigint-or-sigterm). Stop the daemon.

### /api/processes.killWorkers

Replacement of signal's [SIGTERM](/0.12/deployment/signals.md#sigint-or-sigterm). Stop the daemon.

### /api/plugins.flushBuffers

Replacement of signal's [SIGUSR1](/0.12/deployment/signals.md#sigusr1). Flushes buffered messages.

### /api/config.reload

Replacement of signal's [SIGHUP](/0.12/deployment/signals.md#sighup). reload configuration.

If this article is incorrect or outdated, or omits critical information, please [let us know](https://github.com/fluent/fluentd-docs-gitbook/issues?state=open). [Fluentd](http://www.fluentd.org/) is a open source project under [Cloud Native Computing Foundation (CNCF)](https://cncf.io/). All components are available under the Apache 2 License.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fluentd.org/0.12/deployment/rpc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
